<div *ngIf="hero">
    <h2>{{hero.name | uppercase}} details</h2>
    <div><span>id: </span>{{hero.id}}</div>
    <mat-form-field appearance="standard" color="accent">
        <mat-label>Name</mat-label>
        <input [(ngModel)]="hero.name" matInput>
    </mat-form-field>
</div>
<app-primary-button (click)="goBack()" label="back"></app-primary-button>
<app-accent-button (click)="save()" label="save"></app-accent-button>
